v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/lots/blinded-lots/{id}
Updates a blinded lot by study ID and blinded lot ID. Rights: LotManagementPost.
Request
Path Parameters
-
id(required): string(uuid)
ID of blinded lot.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : BlindedLotRequestV2.0
Type:
objectTitle:
BlindedLotRequestV2.0Request object to create blinded lot with country-specific settings.
Show Source
-
blindedLotNumber(required): string
Minimum Length:
0Maximum Length:50Blinded lot number.Example:Bld-Lt-AZ -
doNotCount: number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not count (DNC) days.Example:10 -
doNotShip: number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not ship (DNS) days.Example:50 -
expirationDate(required): string
(date)
Expiration date of the blinded lot.Example:
2022-04-01 -
manufacturingLotIds: array
manufacturingLotIds
IDs of manufacturing lots associated with the blinded lot.
-
settingsByCountry: array
settingsByCountry
-
shortName: string
Minimum Length:
0Maximum Length:50Blinded lot short name.Example:BlindedLot-01
Nested Schema : manufacturingLotIds
Type:
arrayIDs of manufacturing lots associated with the blinded lot.
Show Source
Nested Schema : CountrySupplySettings
Type:
Show Source
object-
countryIso(required): string
-
doNotCount(required): number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not count (DNC) days.Example:10 -
doNotShip(required): number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not ship (DNS) days.Example:50
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : BlindedLotId
Type:
objectContains blinded lot id.
Show Source
-
id: string
(uuid)
Unique Id for blinded lot.
400 Response
Blinded lot number or lot short name already exists. OR Expiration date is not valid. OR Invalid lot. OR Lot belongs to a blinded lot.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object